extern void init_dma(void);
extern void dma1_buf_control(void);
extern void dma1_buf_put(short sample_l, short sample_r);
extern void dma1_start(void);
extern void dma1_stop(void);
extern void dma1_end(void);
